*==============================================================================*
**SINTAXIS DE INDICADORES**.
*==============================================================================*
* Encoding: UTF-8.
* Fecha de elaboracin: 27 de octubre de 2016
* Fecha ltima modificacin: 27 de octubre de 2016
********************************************************************************
* Software estadstico: SPSS 23
********************************************************************************
* Elaborado por:
* Christin Tern L.
* Direccin de Estadsticas Agropecuarias y Ambientales(DEAGA)
* Instituto Nacional de Estadstica y Censos
* Christian_Teran@inec.gob.ec
********************************************************************************
* Elaborado por:
* Wilson Monteros.
* Direccin de Estadsticas Agropecuarias y Ambientales(DEAGA)
* Instituto Nacional de Estadstica y Censos
* wilson_monteros@inec.gob.ec
********************************************************************************
* Revisado por:
* Edisson Villagran Fonseca.
* Direccin de Estadsticas Agropecuarias y Ambientales (DEAGA)
* Instituto Nacional de Estadstica y Censos
* Edison_Villagran@inec.gob.ec
********************************************************************************
* Aprobado por: Mara Jos Murgueitio
* Directora de Estadsticas Agropecuarias y Ambientales
* Instituto Nacional de Estadstica y Censos
* mariajose_murgueitio@inec.gob.ec
*==============================================================================*
*==============================================================================*
**SINTAXIS AGREGADOS**.
*==============================================================================*
*==============================================================================*
**PROVINCIA**.
*==============================================================================*.
if (IdCantn >= 100 and IdCantn <= 199) Prov = 1.
if (IdCantn >= 200 and IdCantn <= 299) Prov = 2.
if (IdCantn >= 300 and IdCantn <= 399) Prov = 3.
if (IdCantn >= 400 and IdCantn <= 499) Prov = 4.
if (IdCantn >= 500 and IdCantn <= 599) Prov = 5.
if (IdCantn >= 600 and IdCantn <= 699) Prov = 6.
if (IdCantn >= 700 and IdCantn <= 799) Prov = 7.
if (IdCantn >= 800 and IdCantn <= 899) Prov = 8.
if (IdCantn >= 900 and IdCantn <= 999) Prov = 9.
if (IdCantn >= 1000 and IdCantn <= 1099) Prov = 10.
if (IdCantn >= 1100 and IdCantn <= 1199) Prov = 11.
if (IdCantn >= 1200 and IdCantn <= 1299) Prov = 12.
if (IdCantn >= 1300 and IdCantn <= 1399) Prov = 13.
if (IdCantn >= 1400 and IdCantn <= 1499) Prov = 14.
if (IdCantn >= 1500 and IdCantn <= 1599) Prov = 15.
if (IdCantn >= 1600 and IdCantn <= 1699) Prov = 16.
if (IdCantn >= 1700 and IdCantn <= 1799) Prov = 17.
if (IdCantn >= 1800 and IdCantn <= 1899) Prov = 18.
if (IdCantn >= 1900 and IdCantn <= 1999) Prov = 19.
if (IdCantn >= 2000 and IdCantn <= 2099) Prov = 20.
if (IdCantn >= 2100 and IdCantn <= 2199) Prov = 21.
if (IdCantn >= 2200 and IdCantn <= 2299) Prov = 22.
if (IdCantn >= 2300 and IdCantn <= 2399) Prov = 23.
if (IdCantn >= 2400 and IdCantn <= 2499) Prov = 24.
if (IdCantn=808)Prov = 23.
value labels Prov
1'Azuay'
2'Bolvar'
3'Caar'
4'Carchi'
5'Cotopaxi'
6'Chimborazo'
7'El Oro'
8'Esmeraldas'
9'Guayas'
10'Imbabura'
11'Loja'
12'Los Ros'
13'Manab'
14'Morona-Santiago'
15'Napo'
16'Pastaza'
17'Pichincha'
18'Tungurahua'
19'Zamora-Chinchipe'
20'Galpagos'
21'Sucumbos'
22'Orellana'
23'Santo Domingo de los Tschilas'
24'Santa Elena'
90'Zona no delimitada'.
variable labels Prov 'Provincia'.
alter type Prov (F2,0).
frequencies Prov.

*==============================================================================*
**REGIONES**.
*==============================================================================*.

recode Prov (1 thru 6, 10, 11, 17, 18, 23 = 1) (7, 8, 9, 12, 13, 24 = 2) (14, 15, 16, 19, 21, 22 = 3) (20 = 4) (90 = 5) into region.
variable labels region 'Regin natural del Ecuador'.
value labels region 1'Sierra' 2'Costa' 3'Amazona' 4'Regin Insular' 5'Zonas No Delimitadas'.
alter type region (F2,0).
frequencies region.

*==============================================================================*
**NACIONAL**.
*==============================================================================*.

compute Nacional = 1.
value labels Nacional 1'Nacional'.
variable labels Nacional 'Nacional'.
alter type Nacional (F2.0).
frequencies Nacional.

*==============================================================================*
**SINTAXIS DE INDICADORES**.
*==============================================================================*

** 1.	Modelo de gestin para la prestacin del servicio  2015.
*Abrir Base 1 seccin n_Agua_Potable_Alcantarillado.

alter type  MA21 (F2.0).
CTABLES 
  /VLABELS VARIABLES=Nacional region Prov MA21 DISPLAY=LABEL 
  /TABLE Nacional [C] + region [C] + Prov [C] BY MA21 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] 
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=region Prov MA21 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
/TITLES
    TITLE='Modelo de gestin para la prestacin del servicio  2015'.

*==============================================================================*

**2.	Acceso al servicio de agua apta para el consumo humano 2015.
*Abrir Base 1 seccin n_Agua_Potable_Alcantarillado.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Nacional prov region MA241a MA242a MA241b MA242b 
    DISPLAY=LABEL
  /TABLE Nacional [C] + prov [C] + region [C] BY MA241a [S][MEAN] + MA242a [S][MEAN] + MA241b 
    [S][MEAN] + MA242b [S][MEAN]
  /CATEGORIES VARIABLES=Nacional prov region ORDER=A KEY=VALUE EMPTY=INCLUDE
/TITLES
    TITLE='Acceso al servicio de agua apta para el consumo humano 2015'.

*==============================================================================*

**3.	Principales fuentes de captacin de agua 2015.
*Abrir Base 2. seccin 3_Fuentes de captacin.

alter type MA31 (F2.0).
alter type MA31a (F2.0).
alter type MA32 (F2.0).
alter type MA32a1 (F2.0).
alter type MA33 (F2.0).
alter type MA34 (F2.0).
alter type MA35 (F2.0).
USE ALL.
COMPUTE filter_$=(MA31  >= 1).
VARIABLE LABELS filter_$ 'MA31  >= 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
** Nacional*.
CTABLES 
  /VLABELS VARIABLES=Nacional MA31 MA31a MA32 MA32a1 MA33 MA34 MA35 
    DISPLAY=LABEL 
  /TABLE Nacional [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY MA31 [C] > MA31a [C] + MA32 [C] > 
    MA32a1 [C] + MA33 [C] + MA34 [C] + MA35 [C] 
  /SLABELS POSITION=ROW 
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA31 [1] EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=MA31a MA32a1 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=MA32 [1] EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=MA33 [1] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA34 [1] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA35 [1] EMPTY=INCLUDE
  /TITLES 
    TITLE='Principales fuentes de captacin de agua 2015' 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin de Agua Potable y Alcantarillado.'.
** Regional*.
CTABLES 
  /VLABELS VARIABLES=region MA31 MA31a MA32 MA32a1 MA33 MA34 MA35 
    DISPLAY=LABEL 
  /TABLE region [COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY MA31 [C] > MA31a [C] + MA32 [C] > MA32a1 
    [C] + MA33 [C] + MA34 [C] + MA35 [C] 
  /SLABELS POSITION=ROW 
  /CATEGORIES VARIABLES=region MA31a MA32a1 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES 
    POSITION=AFTER 
  /CATEGORIES VARIABLES=MA31 [1] EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=MA32 [1] EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=MA33 [1] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA34 [1] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA35 [1] EMPTY=INCLUDE
  /TITLES 
    TITLE='Principales fuentes de captacin de agua 2015' 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin de Agua Potable y Alcantarillado.'.
** Provincial*.
CTABLES 
  /VLABELS VARIABLES=Prov MA31 MA31a MA32 MA32a1 MA33 MA34 MA35 
    DISPLAY=LABEL 
  /TABLE Prov [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY MA31 [C] > MA31a [C] + MA32 [C] > 
    MA32a1 [C] + MA33 [C] + MA34 [C] + MA35 [C] 
  /SLABELS POSITION=ROW 
  /CATEGORIES VARIABLES=Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA31 [1] EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=MA31a MA32a1 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=MA32 [1] EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=MA33 [1] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA34 [1] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA35 [1] EMPTY=INCLUDE
  /TITLES 
    TITLE='Principales fuentes de captacin de agua 2015' 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin de Agua Potable y Alcantarillado.'.
filter off.
use all.

*==============================================================================*

**4.	Proporcin de municipios que disponen de sistemas de tratamiento de agua 2015.
** Abrir base 3. seccin3_SistemaAguaPotableEstadoTcnico.

*/Recodificacion de variable original.
alter type MA36 (F1.0).
compute mupotab=MA36.
alter type mupotab (F1.0).
recode mupotab (1=1) (2=0), into mupotab.
execute.
DATASET ACTIVATE Base_3.
DATASET DECLARE Potabilizacion.
AGGREGATE
  /OUTFILE='Potabilizacion'
  /BREAK=IdCantn Cantn prov region
  /mupotab_sum=SUM(mupotab).
DATASET ACTIVATE Potabilizacion.
USE ALL.
COMPUTE filter_$=(mupotab_sum >= 1).
VARIABLE LABELS filter_$ 'Cuenta con sistemas de tratamiento '.
VALUE LABELS filter_$ 0 'No' 1 'Si'.
FORMATS filter_$ (f1.0).
USE ALL.
compute Nacional = 1.
value labels Nacional 1'Nacional'.
variable labels Nacional 'Nacional'.
alter type Nacional (F2.0).
EXECUTE.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Nacional region prov filter_$ DISPLAY=LABEL
  /TABLE Nacional [C] + region [C] + prov [C] BY filter_$ [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Nacional region prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=filter_$ [1, 0, OTHERNM] EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*

**5.	Proporcin de municipios que cumplen con la norma INEN 1108 en el ao 2015.
* Abrir Base 4  seccin3_PlantasTratamiento.

*/Recodificacion de variable original.
alter type MA37a (F1.0).
compute norma=MA37a.
alter type norma (F1.0).
recode norma (1=1) (2=0), into norma.
execute.
DATASET NAME Base_4.
if (IdCantn >= 100 and IdCantn <= 199) Prov = 1.
if (IdCantn >= 200 and IdCantn <= 299) Prov = 2.
if (IdCantn >= 300 and IdCantn <= 399) Prov = 3.
if (IdCantn >= 400 and IdCantn <= 499) Prov = 4.
if (IdCantn >= 500 and IdCantn <= 599) Prov = 5.
if (IdCantn >= 600 and IdCantn <= 699) Prov = 6.
if (IdCantn >= 700 and IdCantn <= 799) Prov = 7.
if (IdCantn >= 800 and IdCantn <= 899) Prov = 8.
if (IdCantn >= 900 and IdCantn <= 999) Prov = 9.
if (IdCantn >= 1000 and IdCantn <= 1099) Prov = 10.
if (IdCantn >= 1100 and IdCantn <= 1199) Prov = 11.
if (IdCantn >= 1200 and IdCantn <= 1299) Prov = 12.
if (IdCantn >= 1300 and IdCantn <= 1399) Prov = 13.
if (IdCantn >= 1400 and IdCantn <= 1499) Prov = 14.
if (IdCantn >= 1500 and IdCantn <= 1599) Prov = 15.
if (IdCantn >= 1600 and IdCantn <= 1699) Prov = 16.
if (IdCantn >= 1700 and IdCantn <= 1799) Prov = 17.
if (IdCantn >= 1800 and IdCantn <= 1899) Prov = 18.
if (IdCantn >= 1900 and IdCantn <= 1999) Prov = 19.
if (IdCantn >= 2000 and IdCantn <= 2099) Prov = 20.
if (IdCantn >= 2100 and IdCantn <= 2199) Prov = 21.
if (IdCantn >= 2200 and IdCantn <= 2299) Prov = 22.
if (IdCantn >= 2300 and IdCantn <= 2399) Prov = 23.
if (IdCantn >= 2400 and IdCantn <= 2499) Prov = 24.
if (IdCantn=808)Prov = 23.
value labels Prov
1'Azuay'
2'Bolvar'
3'Caar'
4'Carchi'
5'Cotopaxi'
6'Chimborazo'
7'El Oro'
8'Esmeraldas'
9'Guayas'
10'Imbabura'
11'Loja'
12'Los Ros'
13'Manab'
14'Morona-Santiago'
15'Napo'
16'Pastaza'
17'Pichincha'
18'Tungurahua'
19'Zamora-Chinchipe'
20'Galpagos'
21'Sucumbos'
22'Orellana'
23'Santo Domingo de los Tschilas'
24'Santa Elena'
90'Zona no delimitada'.
variable labels Prov 'Provincia'.
alter type Prov (F2,0).
frequencies Prov.
recode Prov (1 thru 6, 10, 11, 17, 18, 23 = 1) (7, 8, 9, 12, 13, 24 = 2) (14, 15, 16, 19, 21, 22 = 3) (20 = 4) (90 = 5) into regiont.
variable labels regiont 'Regin natural del Ecuador'.
value labels regiont 1'Sierra' 2'Costa' 3'Amazona' 4'Regin Insular' 5'Zonas No Delimitadas'.
alter type regiont (F2,0).
frequencies regiont.
compute Nacional = 1.
value labels Nacional 1'Nacional'.
variable labels Nacional 'Nacional'.
alter type Nacional (F2.0).
frequencies Nacional.
DATASET ACTIVATE Base_4.
DATASET DECLARE ACREDITA.
AGGREGATE
  /OUTFILE='ACREDITA'
  /BREAK=IdCantn Cantn prov region Nacional
  /norma_sum=SUM(norma).
DATASET ACTIVATE ACREDITA.
USE ALL.
COMPUTE filter_$=(norma_sum >= 1).
VARIABLE LABELS filter_$ 'La calidad del agua tratada cumple con la norma INEN1108'.
VALUE LABELS filter_$ 0 'No' 1 'Si'.
FORMATS filter_$ (f1.0).
USE ALL.
EXECUTE.
DATASET ACTIVATE ACREDITA.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Nacional region prov filter_$ DISPLAY=LABEL
  /TABLE Nacional [C] + region [C] + prov [C] BY filter_$ [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=region prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=filter_$ [1, 0, OTHERNM] EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*==============================================================================*

**6.	Nmero de plantas con tratamiento de agua para consumo humano 2015.
*Abrir la base 3. seccin3_SistemaAguaPotableEstadoTcnico.

* / Crear esta variable bandera para poder tabular por gad municipal.
COMPUTE gob_unica=(lag(IdCantn) <> IdCantn).
EXECUTE.
* / Suma vertical para sacar por gad municipal.
AGGREGATE 
  /OUTFILE=* MODE=ADDVARIABLES 
  /BREAK=IdCantn 
  /MA361_sum 'Numero total de plantas potabilizadoras'=SUM(MA361).
alter type MA361_sum (F10.0).
frequencies MA361_sum.
filter by gob_unica.
*/ Nacional.
CTABLES 
  /VLABELS VARIABLES=Nacional MA361_sum DISPLAY=LABEL 
  /TABLE Nacional BY MA361_sum [S][SUM, COLPCT.VALIDN PCT40.2] 
  /CATEGORIES VARIABLES=Nacional ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /TITLES 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin de Agua Potable y Alcantarillado.'.
*/ Regional.
CTABLES 
  /VLABELS VARIABLES=region MA361_sum DISPLAY=LABEL 
  /TABLE region [C] BY MA361_sum [S][SUM, COLPCT.SUM PCT40.2, COUNT F40.0] 
  /CATEGORIES VARIABLES=region ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin de Agua Potable y Alcantarillado.'.
*/ Provincial.
CTABLES 
  /VLABELS VARIABLES=prov MA361_sum DISPLAY=LABEL 
  /TABLE prov BY MA361_sum [S][SUM, COLPCT.SUM PCT40.2, COUNT F40.0] 
  /CATEGORIES VARIABLES=prov ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin de Agua Potable y Alcantarillado.'.
filter off.
use all.

*==============================================================================*

**7.	Volumen total de agua apta para consumo humano distribuida 2015.
*Abir la Base 3. seccin3_SistemaAguaPotableEstadoTcnico.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=region prov MA381 DISPLAY=LABEL
  /TABLE region [C] + prov [C] BY MA381 [S][VALIDN F40.0, TOTALN 
    F40.0, SUM]
  /CATEGORIES VARIABLES=region [1, 2, 3, 4, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='Volumen total de agua apta para consumo humano distribuida 2015, segn Regiones '+
    'Naturales y Provincias'
    CAPTION='Fuente: Registro de Gestin de Agua y Alcantarillado' 'INEC-AME' 'Elaborado por : '+
    'Ing. Wilson Monteros' ''.

** Abir la Base 3. seccin3_SistemaAguaPotableEstadoTcnico.
****** 2da OPCION******.

DATASET DECLARE volumen_sistemas. 
AGGREGATE 
  /OUTFILE='volumen_sistemas' 
  /BREAK=IdCantn 
  /MA381_sum 'volumen de agua que va a la red'=SUM(MA381) 
  /MA361_sum_1 'numero de sistemas o plantas'=SUM(MA361).

DATASET ACTIVATE volumen_sistemas.
if (IdCantn >= 100 and IdCantn <= 199) Prov = 1.
if (IdCantn >= 200 and IdCantn <= 299) Prov = 2.
if (IdCantn >= 300 and IdCantn <= 399) Prov = 3.
if (IdCantn >= 400 and IdCantn <= 499) Prov = 4.
if (IdCantn >= 500 and IdCantn <= 599) Prov = 5.
if (IdCantn >= 600 and IdCantn <= 699) Prov = 6.
if (IdCantn >= 700 and IdCantn <= 799) Prov = 7.
if (IdCantn >= 800 and IdCantn <= 899) Prov = 8.
if (IdCantn >= 900 and IdCantn <= 999) Prov = 9.
if (IdCantn >= 1000 and IdCantn <= 1099) Prov = 10.
if (IdCantn >= 1100 and IdCantn <= 1199) Prov = 11.
if (IdCantn >= 1200 and IdCantn <= 1299) Prov = 12.
if (IdCantn >= 1300 and IdCantn <= 1399) Prov = 13.
if (IdCantn >= 1400 and IdCantn <= 1499) Prov = 14.
if (IdCantn >= 1500 and IdCantn <= 1599) Prov = 15.
if (IdCantn >= 1600 and IdCantn <= 1699) Prov = 16.
if (IdCantn >= 1700 and IdCantn <= 1799) Prov = 17.
if (IdCantn >= 1800 and IdCantn <= 1899) Prov = 18.
if (IdCantn >= 1900 and IdCantn <= 1999) Prov = 19.
if (IdCantn >= 2000 and IdCantn <= 2099) Prov = 20.
if (IdCantn >= 2100 and IdCantn <= 2199) Prov = 21.
if (IdCantn >= 2200 and IdCantn <= 2299) Prov = 22.
if (IdCantn >= 2300 and IdCantn <= 2399) Prov = 23.
if (IdCantn = 808) Prov = 23.
if (IdCantn >= 2400 and IdCantn <= 2499) Prov = 24.
value labels Prov
1'Azuay'
2'Bolvar'
3'Caar'
4'Carchi'
5'Cotopaxi'
6'Chimborazo'
7'El Oro'
8'Esmeraldas'
9'Guayas'
10'Imbabura'
11'Loja'
12'Los Ros'
13'Manab'
14'Morona-Santiago'
15'Napo'
16'Pastaza'
17'Pichincha'
18'Tungurahua'
19'Zamora-Chinchipe'
20'Galpagos'
21'Sucumbos'
22'Orellana'
23'Santo Domingo de los Tschilas'
24'Santa Elena'
90'Zona no delimitada'.
variable labels Prov 'Provincia'.

recode Prov (1 thru 6, 10, 11, 17, 18,  23 = 1) (7, 8, 9, 12, 13, 24 = 2) (14, 15, 16, 19, 21, 22 = 3) (20 = 4) (90 = 5) into region.
variable labels region 'Regin natural del Ecuador'.
value labels region 1'Sierra' 2'Costa' 3'Amazona' 4'Regin Insular' 5'Zonas No Delimitadas'.

compute Nacional = 1.
value labels Nacional 1'Nacional'.
variable labels Nacional 'Nacional'.
alter type Nacional (F2.0).

if (MA381_sum > 0) municipio = 1.
recode municipio (sysmis = 0).

DATASET ACTIVATE volumen_sistemas.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Nacional region Prov MA381_sum MA361_sum_1 municipio DISPLAY=LABEL
  /TABLE Nacional [C] + region [C] + Prov [C] BY MA381_sum [S][SUM] + MA361_sum_1 [S][SUM] + 
    municipio [S][SUM]
  /CATEGORIES VARIABLES=Nacional region Prov ORDER=A KEY=VALUE EMPTY=INCLUDE.

*==============================================================================*

**8.	Costo unitario promedio del metro cbico de agua apta para el consumo humano 2015.
*Abrir Base 1 seccin n_Agua_Potable_Alcantarillado.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=region prov MA531 MA531a MA532 MA532a DISPLAY=LABEL
  /TABLE region [C] + prov [C] BY MA531 [COUNT F40.0, ROWPCT.COUNT PCT40.1] + MA531a [S][MEAN, SUM, 
    VALIDN F40.0] + MA532 [COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
    MA532a [S][MEAN, SUM, VALIDN F40.0]
  /CATEGORIES VARIABLES=region [1.00, 2.00, 3.00, 4.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES 
    LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=prov MA531 MA532 ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Costo unitario promedio del metro cbico de agua apta para el consumo humano 2015, Segn Regiones Naturales y Provincias'
    CAPTION='Fuente: Registro de Gestin de Agua y Alcantarillado' 'INEC-AME' 'Elaborado por : '+
    'Ing. Wilson Monteros' ''.

*==============================================================================*

**9.	Volumen de agua consumida por los GAD municipales 2015.
*Abrir Base 1 seccin n_Agua_Potable_Alcantarillado.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=region prov MA541 DISPLAY=LABEL
  /TABLE region [C] + prov [C] BY MA541 [MEAN, SUM, TOTALN F40.0, VALIDN F40.0, COLPCT.COUNT 
    PCT40.1]
  /CATEGORIES VARIABLES=region [1.00, 2.00, 3.00, 4.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES 
    LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=prov ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Volumen de agua consumida por los GAD municipales 2015, Segn Regiones Naturales y Provincias'
    CAPTION='Fuente: Registro de Gestin de Agua y Alcantarillado' 'INEC-AME' 'Elaborado por : '+
    'Ing. Wilson Monteros' ''.

*==============================================================================*

**10.	Volumen de agua facturada por GAD municipal 2015.
*Abrir Base 1 seccin n_Agua_Potable_Alcantarillado.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=region prov MA543 DISPLAY=LABEL
  /TABLE region [C] + prov [C] BY MA543 [MEAN, SUM, TOTALN F40.0, VALIDN F40.0, COLPCT.COUNT 
    PCT40.1]
  /CATEGORIES VARIABLES=region [1.00, 2.00, 3.00, 4.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES 
    LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=prov ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Volumen de agua facturada por GAD municipal 2015, Segn Regiones Naturales y Provincias'
    CAPTION='Fuente: Registro de Gestin de Agua y Alcantarillado' 'INEC-AME' 'Elaborado por : '+
    'Ing. Wilson Monteros' ''.

*==============================================================================*

**11.	Porcentaje  de aguas residuales tratadas ao 2015.
* Abrir la base 5  seccin4_ParteADetalleAguasResiduales.

alter type MA452 (f20.0).
alter type MA454 (f20.0).
DATASET DECLARE Agua_residual.
AGGREGATE
  /OUTFILE='Agua_residual'
  /BREAK=IdCantn
  /MA452_sum 'Caudal de ingreso de agua residual l/s'=SUM(MA452) 
  /MA454_sum 'Caudal de descarga de agua residual l/s'=SUM(MA454).
DATASET ACTIVATE Agua_residual.
if (IdCantn >= 100 and IdCantn <= 199) Prov = 1.
if (IdCantn >= 200 and IdCantn <= 299) Prov = 2.
if (IdCantn >= 300 and IdCantn <= 399) Prov = 3.
if (IdCantn >= 400 and IdCantn <= 499) Prov = 4.
if (IdCantn >= 500 and IdCantn <= 599) Prov = 5.
if (IdCantn >= 600 and IdCantn <= 699) Prov = 6.
if (IdCantn >= 700 and IdCantn <= 799) Prov = 7.
if (IdCantn >= 800 and IdCantn <= 899) Prov = 8.
if (IdCantn >= 900 and IdCantn <= 999) Prov = 9.
if (IdCantn >= 1000 and IdCantn <= 1099) Prov = 10.
if (IdCantn >= 1100 and IdCantn <= 1199) Prov = 11.
if (IdCantn >= 1200 and IdCantn <= 1299) Prov = 12.
if (IdCantn >= 1300 and IdCantn <= 1399) Prov = 13.
if (IdCantn >= 1400 and IdCantn <= 1499) Prov = 14.
if (IdCantn >= 1500 and IdCantn <= 1599) Prov = 15.
if (IdCantn >= 1600 and IdCantn <= 1699) Prov = 16.
if (IdCantn >= 1700 and IdCantn <= 1799) Prov = 17.
if (IdCantn >= 1800 and IdCantn <= 1899) Prov = 18.
if (IdCantn >= 1900 and IdCantn <= 1999) Prov = 19.
if (IdCantn >= 2000 and IdCantn <= 2099) Prov = 20.
if (IdCantn >= 2100 and IdCantn <= 2199) Prov = 21.
if (IdCantn >= 2200 and IdCantn <= 2299) Prov = 22.
if (IdCantn >= 2300 and IdCantn <= 2399) Prov = 23.
if (IdCantn = 808) Prov = 23.
if (IdCantn >= 2400 and IdCantn <= 2499) Prov = 24.
value labels Prov
1'Azuay'
2'Bolvar'
3'Caar'
4'Carchi'
5'Cotopaxi'
6'Chimborazo'
7'El Oro'
8'Esmeraldas'
9'Guayas'
10'Imbabura'
11'Loja'
12'Los Ros'
13'Manab'
14'Morona-Santiago'
15'Napo'
16'Pastaza'
17'Pichincha'
18'Tungurahua'
19'Zamora-Chinchipe'
20'Galpagos'
21'Sucumbos'
22'Orellana'
23'Santo Domingo de los Tschilas'
24'Santa Elena'
90'Zona no delimitada'.
variable labels Prov 'Provincia'.
alter type Prov (F2,0).
frequencies Prov.

recode Prov (1 thru 6, 10, 11, 17, 18,  23 = 1) (7, 8, 9, 12, 13, 24 = 2) (14, 15, 16, 19, 21, 22 = 3) (20 = 4) (90 = 5) into region.
variable labels region 'Regin natural del Ecuador'.
value labels region 1'Sierra' 2'Costa' 3'Amazona' 4'Regin Insular' 5'Zonas No Delimitadas'.
alter type region (F2,0).
frequencies region.

compute Nacional = 1.
value labels Nacional 1'Nacional'.
variable labels Nacional 'Nacional'.
alter type Nacional (F2.0).
frequencies Nacional.

COMPUTE Vcing=(MA452_sum *86400 *30 /1000).
variable labels Vcing 'Caudal de ingreso de Agua Residual m3 / promedio mes'.

COMPUTE Vcdes=(MA454_sum *86400 *30 /1000).
variable labels Vcdes 'Caudal de descarga de Agua Residual m3 / promedio mes'.

COMPUTE ARtr=(Vcdes/Vcing).
variable labels ARtr 'Porcentaje de Aguas Residuales Tratadas'.
RECODE ARtr (100 thru Highest=100).
EXECUTE.

if ( Vcing >= 0 and Vcdes >=0) verifica = 1.
recode verifica (sysmis = 2).
frequencies verifica.

USE ALL.
COMPUTE filter_$=(verifica = 1).
VARIABLE LABELS filter_$ 'verifica = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Nacional region Prov Vcing Vcdes ARtr DISPLAY=LABEL 
  /TABLE Nacional [C] + region [C] + Prov [C] BY Vcing [S][SUM] + Vcdes [S][SUM] + ARtr [S][MEAN] 
  /CATEGORIES VARIABLES=Nacional region Prov ORDER=A KEY=VALUE EMPTY=INCLUDE.
filter off.
use all.

*==============================================================================*

**12.	Proporcin de municipios que realizan procesos de tratamiento a las aguas residuales 2015.
* Abrir la base 5  seccin4_ParteADetalleAguasResiduales.

alter type MA452 (f20.0).
alter type MA454 (f20.0).
DATASET DECLARE Agua_residual.
AGGREGATE
  /OUTFILE='Agua_residual'
  /BREAK=IdCantn
  /MA452_sum 'Caudal de ingreso de agua residual l/s'=SUM(MA452) 
  /MA454_sum 'Caudal de descarga de agua residual l/s'=SUM(MA454).

DATASET ACTIVATE Agua_residual.
if (IdCantn >= 100 and IdCantn <= 199) Prov = 1.
if (IdCantn >= 200 and IdCantn <= 299) Prov = 2.
if (IdCantn >= 300 and IdCantn <= 399) Prov = 3.
if (IdCantn >= 400 and IdCantn <= 499) Prov = 4.
if (IdCantn >= 500 and IdCantn <= 599) Prov = 5.
if (IdCantn >= 600 and IdCantn <= 699) Prov = 6.
if (IdCantn >= 700 and IdCantn <= 799) Prov = 7.
if (IdCantn >= 800 and IdCantn <= 899) Prov = 8.
if (IdCantn >= 900 and IdCantn <= 999) Prov = 9.
if (IdCantn >= 1000 and IdCantn <= 1099) Prov = 10.
if (IdCantn >= 1100 and IdCantn <= 1199) Prov = 11.
if (IdCantn >= 1200 and IdCantn <= 1299) Prov = 12.
if (IdCantn >= 1300 and IdCantn <= 1399) Prov = 13.
if (IdCantn >= 1400 and IdCantn <= 1499) Prov = 14.
if (IdCantn >= 1500 and IdCantn <= 1599) Prov = 15.
if (IdCantn >= 1600 and IdCantn <= 1699) Prov = 16.
if (IdCantn >= 1700 and IdCantn <= 1799) Prov = 17.
if (IdCantn >= 1800 and IdCantn <= 1899) Prov = 18.
if (IdCantn >= 1900 and IdCantn <= 1999) Prov = 19.
if (IdCantn >= 2000 and IdCantn <= 2099) Prov = 20.
if (IdCantn >= 2100 and IdCantn <= 2199) Prov = 21.
if (IdCantn >= 2200 and IdCantn <= 2299) Prov = 22.
if (IdCantn >= 2300 and IdCantn <= 2399) Prov = 23.
if (IdCantn = 808) Prov = 23.
if (IdCantn >= 2400 and IdCantn <= 2499) Prov = 24.
value labels Prov
1'Azuay'
2'Bolvar'
3'Caar'
4'Carchi'
5'Cotopaxi'
6'Chimborazo'
7'El Oro'
8'Esmeraldas'
9'Guayas'
10'Imbabura'
11'Loja'
12'Los Ros'
13'Manab'
14'Morona-Santiago'
15'Napo'
16'Pastaza'
17'Pichincha'
18'Tungurahua'
19'Zamora-Chinchipe'
20'Galpagos'
21'Sucumbos'
22'Orellana'
23'Santo Domingo de los Tschilas'
24'Santa Elena'
90'Zona no delimitada'.
variable labels Prov 'Provincia'.
alter type Prov (F2,0).
frequencies Prov.

recode Prov (1 thru 6, 10, 11, 17, 18,  23 = 1) (7, 8, 9, 12, 13, 24 = 2) (14, 15, 16, 19, 21, 22 = 3) (20 = 4) (90 = 5) into region.
variable labels region 'Regin natural del Ecuador'.
value labels region 1'Sierra' 2'Costa' 3'Amazona' 4'Regin Insular' 5'Zonas No Delimitadas'.
alter type region (F2,0).
frequencies region.

compute Nacional = 1.
value labels Nacional 1'Nacional'.
variable labels Nacional 'Nacional'.
alter type Nacional (F2.0).
frequencies Nacional.

COMPUTE Vcing=(MA452_sum *86400 *30 /1000).
variable labels Vcing 'Caudal de ingreso de Agua Residual m3 / promedio mes'.

COMPUTE Vcdes=(MA454_sum *86400 *30 /1000).
variable labels Vcdes 'Caudal de descarga de Agua Residual m3 / promedio mes'.

COMPUTE ARtr=(Vcdes/Vcing).
variable labels ARtr 'Porcentaje de Aguas Residuales Tratadas'.
RECODE ARtr (100 thru Highest=100).
EXECUTE.

if ( Vcing >= 0 and Vcdes >=0) verifica = 1.
recode verifica (sysmis = 2).
frequencies verifica.

USE ALL.
COMPUTE filter_$=(verifica = 1).
VARIABLE LABELS filter_$ 'verifica = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Nacional region Prov Vcing Vcdes ARtr DISPLAY=LABEL 
  /TABLE Nacional [C] + region [C] + Prov [C] BY Vcing [S][SUM] + Vcdes [S][SUM] + ARtr [S][MEAN] 
  /CATEGORIES VARIABLES=Nacional region Prov ORDER=A KEY=VALUE EMPTY=INCLUDE.
filter off.
use all.

*==============================================================================*

**13.	Nmero de plantas de tratamiento de aguas residuales 2015.
*Abrir Base 1 seccin n_Agua_Potable_Alcantarillado.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=region prov MA452 DISPLAY=LABEL
  /TABLE region [C] + prov [C] BY MA452 [S][MEAN, SUM, TOTALN F40.0, VALIDN F40.0, COLPCT.COUNT 
    PCT40.1]
  /CATEGORIES VARIABLES=region [1.00, 2.00, 3.00, 4.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES 
    LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=prov ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Nmero de plantas de tratamiento de aguas residuales 2015, Segn Regiones Naturales y '+
    'Provincias'
    CAPTION='Fuente: Registro de Gestin de Agua y Alcantarillado' 'INEC-AME' 'Elaborado por : '+
    'Ing. Wilson Monteros' ''.

*==============================================================================*

**14.	Disposicin final de  agua residual tratada por los municipios 2015.
*Abrir Base 1 seccin n_Agua_Potable_Alcantarillado.

DATASET DECLARE Indicador15.
AGGREGATE
  /OUTFILE='Indicador15'
  /BREAK=IdCantn
  /prov=FIRST(prov) 
  /region=FIRST(region) 
  /MA456=FIRST(MA456) 
  /MA457=FIRST(MA457) 
  /MA458=FIRST(MA458).
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=region prov MA456 MA457 MA458 DISPLAY=LABEL
  /TABLE region [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + prov [C][COUNT F40.0, ROWPCT.COUNT 
    PCT40.1] BY MA456 [C] + MA457 [C] + MA458 [C]
  /CATEGORIES VARIABLES=region [1.00, 2.00, 3.00, 4.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES 
    LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=prov ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=MA456 [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /CATEGORIES VARIABLES=MA457 [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /CATEGORIES VARIABLES=MA458 [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /TITLES
    TITLE='Disposicin final de  agua residual tratada por los municipios 2015, Segn Regiones Naturales y Provincias'
    CAPTION='Fuente: Registro de Gestin de Agua y Alcantarillado' 'INEC-AME' 'Elaborado por : '+
    'Wilson Monteros' ''.

*==============================================================================*

**15.	Municipios que reutilizan el agua residual tratada 2015.
* Abrir la base 5  seccin4_ParteADetalleAguasResiduales.

DATASET DECLARE Indicador15.
AGGREGATE
  /OUTFILE='Indicador15'
  /BREAK=IdCantn
  /prov=FIRST(prov) 
  /region=FIRST(region) 
  /MA4510=FIRST(MA4510).
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=region prov MA4510 DISPLAY=LABEL
  /TABLE region [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + prov [C][COUNT F40.0, ROWPCT.COUNT 
    PCT40.1] BY MA4510
  /CATEGORIES VARIABLES=region [1.00, 2.00, 3.00, 4.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES 
    LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=prov ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=MA4510 [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=AFTER
  /TITLES
    TITLE='Municipios que reutilizan el agua residual tratada 2015, Segn Regiones Naturales y '+
    'Provincias'
    CAPTION='Fuente: Registro de Gestin de Agua y Alcantarillado' 'INEC-AME' 'Elaborado por : '+
    'Wilson Monteros' ''.

*==============================================================================*

**16.	Disposicin final de agua residual no tratada 2015.
* Abrir la base 5  seccin4_ParteADetalleAguasResiduales.

DATASET DECLARE Indicador16.
AGGREGATE
  /OUTFILE='Indicador16'
  /BREAK=IdCantn
  /prov=FIRST(prov) 
  /region=FIRST(region) 
  /MA4517=FIRST(MA4517) 
  /MA4519=FIRST(MA4519) 
  /MA4521=FIRST(MA4521).
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=region prov MA4517 MA4519 MA4521 DISPLAY=LABEL
  /TABLE region [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + prov [C][COUNT F40.0, ROWPCT.COUNT 
    PCT40.1] BY MA4517 + MA4519 + MA4521
  /CATEGORIES VARIABLES=region [1.00, 2.00, 3.00, 4.00, OTHERNM] EMPTY=INCLUDE TOTAL=YES 
    LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=prov MA4517 MA4519 MA4521 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='Disposicin final de agua residual no tratada 2015, segn Regiones Naturales y Provincias'
    CAPTION='Fuente: Registro de Gestin de Agua y Alcantarillado' 'INEC-AME' 'Elaborado por : '+
    'Wilson Monteros' ''.

*==============================================================================*.












